Family Care - Bug #2394

create new user

07/04/2021 03:59 PM - Saja Nakhleh

Status:
Priority:
Assignee:
Category:
Target version:

Co-Workers:

Severity:
Category:
Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result:

Closed
Normal
Saja Nakhleh

Normal

User management

Issue #1:
the username should not be changes
based on the value of the role value !

Issue #2:
the newly created user should be shown
on the (add to group ) screen

Issue #3:
user should be redirected to the reset
password page

ISsue #4:
the roles should be shown normally

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Actual Result:

Environment:
Transaction Number:
Username:

Browser:

URL:

Test Case ID:

07/04/2021

0%
0.00 hour
0.00 hour

Issue #1:

username is encountered by 1 each time
the unit is edited

Observe the video:
https://www.loom.com/share/d9ccc035dad
f4006bc7d01beb0607717?from_recorders
1&focus_title=1

Issue #2:
the user will not be shown on the (add to
group ) screen

Issue #3:
user will not be redirected to the reset
password page

Issue #4:
the (D000000 D00 0000) option is

duplicated. evidence 1.gif
QA

Chrome

Description
Issue #1:

1. Open (Create new user screen)

2. Fill all the mandatory fields

i.e: serial number and civil id (2154969810/265112200289)
3.change the role field value

4. observe the username field b=value

5. repeat steps 3 and 4 many times

Issue #2:

1. Open (Create new user screen)
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/2

2. Fill all the mandatory fields

3. click save

4. navigate to the screen (add to group)
5. Search for the created user on step 3

Issue #3:
1. Login using the created user in issue #2

Issue #4:
1. Open (Create new user screen)
2. Observe the Options of (role) drop down list

Question - to be confirmed with BA:

History

#1 - 07/04/2021 04:31 PM - Saja Nakhleh

- File 1.gif added

- Description updated

- Assignee changed from Saja Nakhleh to Saeed Ismail
- Expected Result updated

- Actual Result updated

#2 - 07/05/2021 05:25 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

All issues have been resolved, for your review.

#3 - 07/06/2021 02:46 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Saeed Ismail

Issue #1:
verified as the username will be generated once the save action is clicked

Issue #2:
tested and verified.

Issue #3:
tested and verified.

Issue #4:
tested and verified.

New issue - issue #5:

1.Create new user

2. add him to searcher group

3. observe the home page (where the most used screens are shown)
result: the debts and dues screen is shown !

Note: same issue is duplicated on the auditor user (which should not has access either to open new file or debs and dues screen)

Issue #6:

From the Role DropDownList, the option (10000 0000) should be removed as the committee step has been removed. (needs BA approval)
#4 - 07/11/2021 05:13 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

issue #5:
Fixed, now the main page is shown the screens based on user role.

Issue #6:
Fixed.

#5 - 07/12/2021 04:03 PM - Saja Nakhleh
- Status changed from Open to Closed

Issue #5:
tested and verified.

Issue #6:
tested and verified.

Files
1.gif 175 KB 07/04/2021 Saja Nakhleh
08/08/2025 3/3


http://185.98.225.148:8089/redmine/issues/5
http://185.98.225.148:8089/redmine/issues/6
http://185.98.225.148:8089/redmine/issues/5
http://185.98.225.148:8089/redmine/issues/6
http://www.tcpdf.org

